comments = {}
commands = {"Check"}
randomdialogue = {"[effect:none] egg egg", "[effect:none] egg?", "[effect:none] EGG!", " eegggg~"}

defensemisstext = ""
sprite = "empty"
name = "Egg Dog"
hp = 1000
def = -50
atk = 5
check = "uhhh..."
dialogbubble = "tiny"
canspare = false
cancheck = false

SetActive(false)

-- Happens after the slash animation but before 
function HandleAttack(attackstatus)
    if attackstatus == -1 then
        
    else
		if hp <= 0 then
			Encounter["EggDog"]["Animation"] = "Dead"
			Encounter["EggDog"]["Timer"] = 0
			hp = 1
			Encounter["Alternative"] = 2
			Encounter["flee"] = true
			currentdialogue = {"[next]"}
		else
			Encounter["EggDog"]["Animation"] = "Hurt"
			Encounter["EggDog"]["Timer"] = 0
		end
    end
end

function HandleCustomCommand(command)
	if command == "CHECK" then
		BattleDialog({"[effect:none]EGG DOG - 20 ATK 5 DEF[w:10]\nIt's an egg.[w:10]\nBut it's also somehow a dog...?"})
	elseif command == "CHECAR" then
		BattleDialog({"[effect:none]EGG DOG - 20 ATK 5 DEF[w:10]\nEs un huevo.[w:10]\nPero de alguna forma un perro...?"})
	end
end